Bug 8923 - usermod -p puts the password both in /etc/passwd and /etc/shadow
Summary: usermod -p puts the password both in /etc/passwd and /etc/shadow
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils   
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-27 16:16 UTC by Walter Klomp
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-02 16:30:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Walter Klomp 2000-01-27 16:16:44 UTC
Hi,

I call `usermod -p 'encrypted passwd' userid`  from a script.

It puts the encrypted password in /etc/shadow, BUT it ALSO puts the same
encrypted password in /etc/shadow...

I am Running RedHat 6.1 with usermode-1.18 (the latest fix) and it still
happens.  I also have Shadow and MD5 support enabled. I have also installed
the latest PAM...

I have reported this bug before.

Please contact me directly on my e-mail account if you need further
information, or if you have fixed it, or if I am doing something wrong...

Thanks for your attention.

Comment 1 Nalin Dahyabhai 2000-02-02 16:30:59 UTC
This is fixed in shadow-utils-19990827-6 and later, which is in Raw Hide and
will be in the next release.


Note You need to log in before you can comment on or make changes to this bug.